| xmonad-contrib-0.8.1: Third party extensions for xmonad | Contents | Index

XMonad.Prompt.Workspace

Portability | unportable
Stability | unstable
Maintainer | droundy@darcs.net

Contents

Usage

Description
A workspace prompt for XMonad
Synopsis

workspacePrompt :: XPConfig -> (String -> X ()) -> X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Workspace

       , ((modMask x .|. shiftMask, xK_m     ), workspacePrompt defaultXPConfig (windows . W.shift))

For detailed instruction on editing the key binding see XMonad.Doc.Extending#Editing_key_bindings.

workspacePrompt :: XPConfig -> (String -> X ()) -> X ()
Produced by Haddock version 2.1.0